Subject: [PATCH 28/44] sparc: remove arch specific dma_supported implementations

From: [email-masked] (Christoph Hellwig)
Date: Fri, 16 Jun 2017 10:47:01 +0200

On Fri, Jun 09, 2017 at 12:22:48AM +1000, Julian Calaby wrote:
> I'm guessing there's a few places that have DMA ops but DMA isn't
> actually supported. Why not have a common method for this, maybe
> "dma_not_supported"?

It's not common at all.  Except for sbus all dma API user first
call set_dma_mask which ends up in the dma_supported call.  sbus
is the weird outlier here.